### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-link/ecl-link.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclLink]`

### Index

###### Properties

- eclIconComponents

###### Methods

- getCssClasses

###### Inputs

- isNegative
- isNoVisited
- variant
- class
- e2eAttr

###### HostBindings

- class
- class.ecl-link--icon
- class.ecl-link--icon-after
- class.ecl-link--icon-before

###### Accessors

- cssClasses
- hasRightIcon
- hasLeftIcon
- hasIcon

### Inputs

isNegative
Type : `boolean`

isNoVisited
Type : `boolean`

variant
Type : `"standalone" | "cta" | "primary" | "secondary"`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

class.ecl-link--icon
Type : `boolean`

class.ecl-link--icon-after
Type : `boolean`

class.ecl-link--icon-before
Type : `boolean`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclIconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

hasRightIcon
get `hasRightIcon()`

hasLeftIcon
get `hasLeftIcon()`

hasIcon
get `hasIcon()`

# results matching ""

# No results matching ""